|  | Home | Documentation | uddi2__delete_USCOREtModel Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__delete_USCOREtModel Class Reference

Schema urn:uddi-org:api_v2:"delete_tModel". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__delete_USCOREtModel (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__delete_USCOREtModel (struct soap *, const char *tModelKey)
| Member declared in uddi2-typemap.dat. More...
| uddi2__delete_USCOREtModel (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat. More...
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
std::vector< uddi2__tModelKey > | tModelKey
| Vector of uddi2__tModelKey with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_tModel".

Represents a request to delete a tModel that meets the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137736

## Constructor & Destructor Documentation

uddi2__delete_USCOREtModel::uddi2__delete_USCOREtModel | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the delete_USCOREtModel class.

uddi2__delete_USCOREtModel::uddi2__delete_USCOREtModel | ( | struct soap * | soap,
|  | const char * | tModelKey
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | tModelKey | a tModel key string

Creates an instance of the delete_USCOREtModel class using the specified tModel key.

uddi2__delete_USCOREtModel::uddi2__delete_USCOREtModel | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | tModelKeys | collection of tModel keys

Creates an instance of the delete_USCOREtModel class using the specified tModel keys.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREtModel::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__dispositionReport object or NULL on error

Send a request to a UDDI service to delete a tModel that meets the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREtModel::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

char* uddi2__delete_USCOREtModel::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__delete_USCOREtModel::soap

A handle to the soap struct context that manages this class instance.

std::vector<uddi2__tModelKey > uddi2__delete_USCOREtModel::tModelKey

Vector of uddi2__tModelKey with length 0..unbounded.

The documentation for this class was generated from the following file:

- uddi_v2.h